
package yi.iu.imgdb.learn;

import yi.iu.region.*;
import yi.iu.imgdb.learn.absrgn.*;

/**
 * An image feature.  Its position is represented by an ellipse region
 */

public class EllipseFeatureRepresentation extends AbsRgnFeatureRepresentation{
  public Region region;

  static final long serialVersionUID = -5423945186335756831L;

  public EllipseFeatureRepresentation(double[] data, Region rgn) {
    super(data, rgn);
    region = rgn;
  }

  public AbstractRegion getAbstractRegion() {
    return region;
  }
}

